- Classes
- Namespaces
- Interfaces
- Traits
- Index

PHP-FFMpeg API
Class

# FFMpeg\FFProbe\DataMapping\Stream

class Stream extends AbstractData

## Methods

| __construct(array $properties) | from AbstractData
Boolean | has(string $property) Returns true if data has property. | from AbstractData
mixed | get(string $property) Returns the property value given its name. | from AbstractData
AbstractData | set(string $property, mixed $value) Sets the property value given its name. | from AbstractData
array | keys() Returns all property names. | from AbstractData
array | all() Returns all properties and their values. | from AbstractData
| count() {@inheritdoc} | from AbstractData
Boolean | isAudio() Returns true if the stream is an audio stream. |
Boolean | isVideo() Returns true if the stream is a video stream. |
Dimension | getDimensions() Returns the dimension of the video stream. |

## Details

###
in AbstractData at line 20
`public __construct(array $properties)`

#### Parameters

array | $properties |

###
in AbstractData at line 31
`public Boolean has(string $property)`

Returns true if data has property.

#### Parameters

string | $property |

#### Return Value

Boolean |

###
in AbstractData at line 44
`public mixed get(string $property)`

Returns the property value given its name.

#### Parameters

string | $property |

#### Return Value

mixed |

#### Exceptions

InvalidArgumentException | In case the data does not have the property

###
in AbstractData at line 61
`public AbstractData set(string $property, mixed $value)`

Sets the property value given its name.

#### Parameters

string | $property |
mixed | $value |

#### Return Value

AbstractData |

###
in AbstractData at line 73
`public array keys()`

Returns all property names.

#### Return Value

array |

###
in AbstractData at line 83
`public array all()`

Returns all properties and their values.

#### Return Value

array |

###
in AbstractData at line 91
`public count()`

{@inheritdoc}

###
at line 25
`public Boolean isAudio()`

Returns true if the stream is an audio stream.

#### Return Value

Boolean |

###
at line 35
`public Boolean isVideo()`

Returns true if the stream is a video stream.

#### Return Value

Boolean |

###
at line 48
`public Dimension getDimensions()`

Returns the dimension of the video stream.

#### Return Value

Dimension |

#### Exceptions

LogicException | In case the stream is not a video stream.
RuntimeException | In case the dimensions can not be extracted.